<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 502.60</title>
</head>

<body>

</body>
<script>
    function foo() {
        if (true) {
            var fruit1 = 'apple';
            const fruit2 = 'banana';
            let fruit3 = 'strawberry';
        }
        console.log(fruit1);
        console.log(fruit2);
        console.log(fruit3);
    }
    foo();
    //const với let chỉ sử dụng được trong if đó

    function foo1() {
        var fruit1 = 'apple';
        const fruit2 = 'banana';
        let fruit3 = 'strawberry';
        function foo2() {
            console.log(fruit1);
            console.log(fruit2);
            console.log(fruit3);
        }
        foo2();
    }
    foo1();
    //const với let được khai trong hàm foo1, foo2 lại là hàm con của foo1, có thể dễ dàng sử dụng
</script>

</html>